> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integration Log

> Retrieve an integration log by ID.



## OpenAPI

````yaml get /v2/integrations/logs/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/integrations/logs/{id}/:
    get:
      tags:
        - Integration Logs
      description: |-
        A viewset for listing and retrieving CustomerLog instances.
        with filtering capabilities.
      operationId: v2_integrations_logs_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this customer log.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerLog'
          description: ''
components:
  schemas:
    CustomerLog:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        integration:
          type: integer
          nullable: true
        timestamp:
          type: string
          format: date-time
        direction:
          type: string
          readOnly: true
        success:
          type: boolean
        response:
          nullable: true
        details:
          nullable: true
        entity_type:
          type: string
          readOnly: true
        entity_id:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
      required:
        - direction
        - entity_type
        - id
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````